# Class CIM_X509CRL
extends CIM_X509Infrastructure

CIM_X509CRL describes Internet X509 Public Key Infrastructure (PKI) standard based Certificate Revocation List (CRL). CRL is issued by a Certificate Authority's (CA) to update the list of the certificates used in the authentication. Upon application of a CRL to a set of certificates, the certificates matched to those contained in the CRL would be revoked and invalidated for use in authentication. Refer to the Internet X.509 PKI standard (RFC 3280) for more information.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Credential
|
+--CIM_SignedCredential
|
+--CIM_X509Infrastructure
|
+--CIM_X509CRL

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
ClassConstraint | string | /* The constraints below aim to efficiently */ /* represent a singular OctetString. Each of the properties*/ /* is a single encoded string, thus only the first element */ /* needs to be populated. */ inv:self.EncodedCRL->size()=1

Description

string

CIM_X509CRL describes Internet X509 Public Key Infrastructure (PKI) standard based Certificate Revocation List (CRL). CRL is issued by a Certificate Authority's (CA) to update the list of the certificates used in the authentication. Upon application of a CRL to a set of certificates, the certificates matched to those contained in the CRL would be revoked and invalidated for use in authentication. Refer to the Internet X.509 PKI standard (RFC 3280) for more information.

UMLPackagePath | string | CIM::User::PublicKey
Version | string | 2.29.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Expires | datetime |
Description | string | This property is not applicable for CIM_X509CRL class and shall either have value of '99991231115959.999999-720' as defined by DSP0004 to mean "infinite future or NULL.
Override | string | Expires
Issued | datetime |

Description

string

This property corresponds to the thisUpdate field in the Internet X509 PKI standard. The property represents the issue date of the CRL. Use a value of all '00000101000000.000000+000', (midnight, January 1, 1 BCE at coordinated universal time +0 minutes), if this information is not applicable. On CreateInstance, if this property is unspecified, or set to NULL, then current time is assumed.

Override | string | Issued
NextUpdate | datetime |
Description | string | The property represents the date by which the next CRL will be issued. The next CRL could be issued before the indicated date, but it will not be issued any later than the indicated date. If this information is not applicable, use a value of '99991231115959.999999-720' as defined by DSP0004 to mean "infinite future.
EncodedCRL | string[] |
Description | string | The full content of the CRL in binary form.Only the first element of the array property shall be populated.
OctetString | boolean | true
SerialNumbers | string[] |
Description | string | An array of serial numbers of X.509 certificates that are part of CRL.
OctetString | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_SignedCredential
IssuerName | string | CIM_X509Infrastructure
OtherSignatureAlgorithm | string | CIM_SignedCredential
SignatureAlgorithm | uint16 | CIM_SignedCredential
SignatureAlgorithmOID | string | CIM_SignedCredential
Version | uint16 | CIM_X509Infrastructure
FingerprintDigestAlgorithms | uint16[] | CIM_X509Infrastructure
Fingerprints | string[] | CIM_X509Infrastructure
MD5Fingerprint | string[] | CIM_X509Infrastructure
SHA1Fingerprint | string[] | CIM_X509Infrastructure
Signature | uint8[] | CIM_SignedCredential
TBSCertificate | string[] | CIM_X509Infrastructure

## Class Methods